Bug Hunting Session
Bug 80391 - Asian text font is applied by mistake.
Summary: Asian text font is applied by mistake.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2014-06-23 12:03 UTC by Akira Matsumiya
Modified: 2019-10-17 18:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
style dialog (19.06 KB, image/png)
2014-06-23 12:03 UTC, Akira Matsumiya
Details
step5 (11.33 KB, image/png)
2014-06-23 12:04 UTC, Akira Matsumiya
Details
step9.png (13.22 KB, image/png)
2014-06-23 12:04 UTC, Akira Matsumiya
Details
step10.png (15.00 KB, image/png)
2014-06-23 12:05 UTC, Akira Matsumiya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Akira Matsumiya 2014-06-23 12:03:13 UTC
Created attachment 101576 [details]
style dialog

Asian text font is applied sometime by mistake.

I use Asian text font.
To reproduce this bug, please select the Options> Language Settings> Languages. 
And check [Asian] from [Default languages ​​for documents] section.
And please select the [Japanese].

How to reproduce
1.Calc launch
2.Default cell style changes as screenshot.(see step2.png)
  [Western text font]-[family]:"Liberation Sans"
  [Asian text font]-[Family]:"Arial Black"
3.Input "1" in [A1] cell.
4.Press Enter key
5.Font in [A1] cell is "Liberation Sans".(see step5.png)
6.Press [up] key.
7.Input "12345" in [A1] cell again.
8.Press [Enter] key.
9.Font in [A1] cell is "Arial Black".(see step9.png)
10.Font changes "Liberation Sans" when [A1] cell select again or select View > Zoom > 150% .(see step10.png)
Comment 1 Akira Matsumiya 2014-06-23 12:04:14 UTC
Created attachment 101577 [details]
step5

font correct
Comment 2 Akira Matsumiya 2014-06-23 12:04:58 UTC
Created attachment 101578 [details]
step9.png

font wrong
Comment 3 Akira Matsumiya 2014-06-23 12:05:44 UTC
Created attachment 101579 [details]
step10.png

font correct
Comment 4 Akira Matsumiya 2014-06-23 12:09:03 UTC
reproduce environment

Windows 8.1 and Windows7

Ubuntu 12.04+LibreOffice 4.3.0 beta 1 is not this problem.
Comment 5 Kevin Suo 2014-06-24 02:16:39 UTC
I reproduce this bug behaviour following the steps outlined by bug reporter, OS: Windows XP SP3, Version: 4.3.0.1

I set this to NEW.

For step 10, font in A1 can also be bring back to "Liberation Sans" when you scoll up and down the sheet.
Comment 6 QA Administrators 2015-07-18 17:43:24 UTC Comment hidden (obsolete)
Comment 7 Akira Matsumiya 2015-07-20 23:43:50 UTC
(In reply to QA Administrators from comment #6)
> ** Please read this message in its entirety before responding **
> 
> Test to see if the bug is still present on a currently supported version of
> LibreOffice (4.4.1 or later): https://www.libreoffice.org/download/
> 
> If the bug is present, please leave a comment that includes the version of
> LibreOffice and your operating system, and any changes you see in the bug
> behavior

This bug is still present.
Version and OS that I tested is LibreOffice 4.4.4.3 and Windows7 Home premium.

Thanks.
Comment 8 QA Administrators 2016-09-20 10:18:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920